Developers
V1PartnerTenantsTenantidRedemptions

Merchant owner: redemption log, newest first

Time, voucher title, branch and who at the merchant scanned (the staff member's display name, or the booth link's label). Never the member: no name, contact, account or claim identifier. Filter by from/to (instants) and outletId; page with nextCursor.

GET
/v1/partner/tenants/{tenantId}/redemptions
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

from?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
to?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
outletId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
cursor?string
Lengthlength <= 200
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/redemptions"
{  "entries": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "at": "2019-08-24T14:15:22Z",      "voucherTitle": "string",      "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887",      "outletName": "string",      "scannedBy": "string",      "scannedVia": "staff"    }  ],  "nextCursor": "string"}